/*
 * Copyright 2002-2005 Uwyn bvba/sprl <info[remove] at uwyn dot com>
 * Distributed under the terms of the GNU Lesser General Public
 * License, v2.1 or later
 *
 * $Id: UnknownServerAddressException.java 1178 2005-01-05 20:38:38Z gbevin $
 */
package com.uwyn.drone.core.exceptions;

import com.uwyn.rife.tools.StringUtils;

public class UnknownServerAddressException extends CoreException
{
	private byte[] mAddress = null;
	
	public UnknownServerAddressException(byte[] address, Throwable cause)
	{
		super("The server address '"+StringUtils.join(address, ".")+"' couldn't be found.", cause);
		
		mAddress = address;
	}
	
	public byte[] getAddress()
	{
		return mAddress;
	}
}

